From 5f9de0b0b7bc79cf2e2f03f77ca8e03366d3945a Mon Sep 17 00:00:00 2001
From: Jan David Mol <mol@astron.nl>
Date: Thu, 1 Sep 2016 19:31:10 +0000
Subject: [PATCH] Task #9522: Bail if no numpy installed

---
 RTCP/Cobalt/CoInterface/test/tcmpfloat.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/RTCP/Cobalt/CoInterface/test/tcmpfloat.sh b/RTCP/Cobalt/CoInterface/test/tcmpfloat.sh
index 271e92c7bf1..4219d1909bd 100755
--- a/RTCP/Cobalt/CoInterface/test/tcmpfloat.sh
+++ b/RTCP/Cobalt/CoInterface/test/tcmpfloat.sh
@@ -5,7 +5,10 @@
 
 # generate binary input files through tcmpfloat.py
 ./runctest.sh tcmpfloat
-if [ $? -ne 0 ]; then echo "Failed to generate test input files"; exit 1; fi
+RESULT=$?
+
+if [ $RESULT -eq 3 ]; then exit 3; fi
+if [ $RESULT -ne 0 ]; then echo "Failed to generate test input files"; exit 1; fi
 
 
 status=0
-- 
GitLab